/*
 * @Author: Kane
 * @Date: 2022-12-14 15:12:46
 * @LastEditors: Kane
 * @LastEditTime: 2023-02-17 13:11:43
 * @FilePath: /IT工具综合平台/src/main.js
 * @Description: 
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */
import { createApp } from 'vue';
import App from './App.vue';

//路由
import router from './router';
//vuex
import store from './store';
//引入全局函数
import global from "@/utils/global";

import("./css/root.css");
import("./css/normalize.css");
import("./css/colors.css");
import("element-plus/dist/index.css");

import ElementPlus from "element-plus";
import * as ElementPlusIconsVue from "@element-plus/icons-vue";
//import SvgIcon from "./components/svg/SvgIcon";

const app = createApp(App);

//app.component("SvgIcon", SvgIcon);

for (const [key, component,] of Object.entries(ElementPlusIconsVue))
{
    app.component(key, component);
}

app.use(ElementPlus);
app.use(store);
app.use(router);
app.use(global);
app.mount('#app');